xStreamBufferBytesAvailable

stream_buffer.h

    size_t xStreamBufferBytesAvailable( StreamBufferHandle_t xStreamBuffer );

Queries a stream buffer to see how much data it contains, which is equal to the number of bytes that can be read from the stream buffer before the stream buffer would be empty.

Parameters

  xStreamBuffer | The handle of the stream buffer being queried.

Returns
  The number of bytes that can be read from the stream buffer before the stream buffer would be empty.